<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.QrCodeActivity">

    <include
        android:id="@+id/toolbarView"
        layout="@layout/layout_base" />

    <FrameLayout
        android:id="@+id/fr_camera"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.camera.view.PreviewView
            android:id="@+id/previewView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_gravity="center"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/scan_bg"
                android:orientation="vertical">
                <com.rehome.bhdxj.weight.ScanView
                    android:id="@+id/scanView"
                    android:layout_width="250dp"
                    android:layout_height="250dp"
                    android:background="@android:color/transparent" />
            </LinearLayout>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:textSize="16sp"
                android:textColor="#666666"
                android:textStyle="bold"
                android:text="@string/scan_text"/>
        </LinearLayout>
    </FrameLayout>
</LinearLayout>